import sklearn.datasets as data
import matplotlib.pyplot as plt
import numpy as np

X, y = data.make_blobs(centers=[[5,5],[10,10]],  random_state=21 )
print( X.shape )
print( y.shape )

#   cluster_std=1.0, center_box=(-10.0, 10.0), shuffle=True, random_state=None, return_centers=False)

# fig, axis = plt.subplots()
#axis.scatter( X[:,0], X[:,1], c=y )
#plt.show( )

y = np.reshape( y, (-1,1) )  # Un vector columna
X = np.reshape( X, (-1,2) )  # Una matriz de tamaño n x 2
print( y.shape )
print( X.shape )
D = np.hstack( (X, y) )
print( D.shape )

np.savetxt( "manchas.csv", D, delimiter=',', fmt='%1.3f' )
