import numpy as np
import matplotlib.pyplot as plt

D = np.loadtxt( "manchas.csv", delimiter=',' )
print( D.shape )

# f(x,y) = 0.61061644 x +  0.7107031 y - 10.62551803


Vs = np.array( [[7.011,  7.52 ],
                [8.402,  9.139]] )


vx = np.linspace( 2, 12, 10 )
## y = (-0.61061644 x + 10.62551803)/ 0.7107031
vy = (-0.61061644*vx + 10.62551803)/0.7107031

fig, axis = plt.subplots()
axis.scatter( D[:,0], D[:,1], c=D[:,2] )
# axis.scatter( Vs[0,:], Vs[1,:], c='red' )
axis.plot( vx, vy )
plt.show( )

