import numpy as np

D = np.loadtxt( "manchas.csv", delimiter=',' )
print( D.shape )

X = D[:, 0:2]
y = D[:, 2]
print( X.shape )
print( y.shape )

# El modelo del clasificador realizado con 
# la máquina de vectores soporte

def decision( x, y ) :
	v = 0.61061644*x +  0.7107031*y - 10.62551803
	if v > 0 :
		return 1
	else :
		return 0

# Probamos el modelo con todos los puntos
# de entrada
n, m = X.shape

error = 0
i = 0
while i < n :
	v = decision( D[i,0], D[i,1] )
	error += abs(y[i]-v)
	print( i, y[i], v )
	i += 1

error /= n
print( "Error:", error )
