import decision
import numpy as np
import matplotlib.pyplot as plt

# Se crea una imagen para poder visualizar
# los límites de decisión
n = 100

x = np.linspace(-1.2, 1.2, n)
y = np.linspace(-1.2, 1.2, n)

vx, vy = np.meshgrid( x, y )
Z = np.zeros( (n,n) )
i = 0
while i < n:
	j = 0
	while j < n:
		Z[i,j] = decision.eval( x[i], y[j] )
		j += 1
	i += 1

print( type(Z), Z.shape )

fig, ax = plt.subplots()

# ax.imshow( Z )
# ax.contourf( vx, vy, Z, cmap=plt.cm.coolwarm )
ax.contourf( vx, vy, Z )
ax.set_aspect(1)
ax.scatter( decision.Vs[:,0], decision.Vs[:,1] )

plt.show( )
